# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			Q7Z
Version:		0.8.0
Release:		1.73
Summary:		A P7Zip GUI for Linux to simplify data compression and backup
URL:			http://k7z.sourceforge.net/
License:		GPL
Group:			Productivity/Archiving/Compression
Source:			%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:		noarch
Requires:		python >= %{py_ver}
Requires:		p7zip
BuildRequires:	fdupes
BuildRequires:	hicolor-icon-theme
BuildRequires:	kdelibs4-core
BuildRequires:	python-devel
BuildRequires:	qt-devel
BuildRequires:	p7zip
%if %suse_version >= 1120
BuildRequires:	python-qt4-devel
%else
BuildRequires:	python-qt4
%endif
BuildRequires:	update-desktop-files
Requires:		python-qt4

%description
Use Q7Z if you want to:
* Update existing archives quickly
* Backup multiple folders to a storage location
* Create or extract protected archives
* Lessen effort by using archiving profiles and lists

Ark (2.6.3) is very handy but it doesn't seem to:
* Create archives with passwords
* Extract (some) archives with passwords
* Update existing archives by default

Q7Z is a simple application that attempts to fill these voids.
It probably won't become a total archiving solution.

%if %suse_version < 1120
%package -n kde3-Q7Z
Summary:	KDE3 servicemenu for Q7Z
Group: 		Productivity/Archiving/Compression
Requires:	Q7Z

%description -n kde3-Q7Z
Use Q7Z if you want to:
* Update existing archives quickly
* Backup multiple folders to a storage location
* Create or extract protected archives
* Lessen effort by using archiving profiles and lists

Ark (2.6.3) is very handy but it doesn't seem to:
* Create archives with passwords
* Extract (some) archives with passwords
* Update existing archives by default

Q7Z is a simple application that attempts to fill these voids.
It probably won't become a total archiving solution.
%endif

%package -n kde4-Q7Z
Summary:	KDE4 servicemenu for Q7Z
Group: 		Productivity/Archiving/Compression
Requires:	Q7Z

%description -n kde4-Q7Z
Use Q7Z if you want to:
* Update existing archives quickly
* Backup multiple folders to a storage location
* Create or extract protected archives
* Lessen effort by using archiving profiles and lists

Ark (2.6.3) is very handy but it doesn't seem to:
* Create archives with passwords
* Extract (some) archives with passwords
* Update existing archives by default

Q7Z is a simple application that attempts to fill these voids.
It probably won't become a total archiving solution.

%prep
%setup -q -n %{name}
%__sed -i -e 's|Qt;KDE;Utility;Archiving;Compression|Qt;KDE;Utility;Archiving;|g' \
	Desktop/Menu/Q7Z.desktop

%build
pushd Build
	%__make
popd

%install
pushd Build
	%__make Install.AllUsers \
		DESTDIR=%{buildroot}
popd

%if %suse_version < 1120
# install kde3 desktop files
%__install -dm 755 %{buildroot}/opt/kde3/share/apps/konqueror/servicemenus
%__install -m 644 Desktop/KDE/*.desktop \
	%{buildroot}/opt/kde3/share/apps/konqueror/servicemenus
%endif

%suse_update_desktop_file %{name} Utility Archiving

%__rm -r %{buildroot}%{_datadir}/%{name}/Build
%__rm    %{buildroot}%{_datadir}/%{name}/Desktop/KDE/Q7Z.marker

%__chmod 755 %{buildroot}%{_datadir}/%{name}/Source

%fdupes -s %{buildroot}/%{_datadir}/%{name}
%kde_post_install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%{_bindir}/%{name}.pyw
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/Desktop
%dir %{_datadir}/%{name}/Desktop/Gnome
%{_datadir}/%{name}/Desktop/Gnome/*
%dir %{_datadir}/%{name}/Desktop/KDE
%{_datadir}/%{name}/Desktop/KDE/*.desktop
%{_datadir}/%{name}/Desktop/KDE/*.desktop.top
%dir %{_datadir}/%{name}/Desktop/Menu
%{_datadir}/%{name}/Desktop/Menu/*.desktop
%dir %{_datadir}/%{name}/Desktop/Profiles
%{_datadir}/%{name}/Desktop/Profiles/*.txt
%dir %{_datadir}/%{name}/Desktop/Xfce
%{_datadir}/%{name}/Desktop/Xfce/*.xml
%dir %{_datadir}/%{name}/Image
%{_datadir}/%{name}/Image/*.qrc
%dir %{_datadir}/%{name}/Image/actions
%{_datadir}/%{name}/Image/actions/*.ico
%{_datadir}/%{name}/Image/actions/*.png
%dir %{_datadir}/%{name}/Image/apps
%{_datadir}/%{name}/Image/apps/*.ico
%{_datadir}/%{name}/Image/apps/*.jpg
%{_datadir}/%{name}/Image/apps/*.png
%dir %{_datadir}/%{name}/Image/devices
%{_datadir}/%{name}/Image/devices/*.png
%dir %{_datadir}/%{name}/Image/mimetypes
%{_datadir}/%{name}/Image/mimetypes/*.png
%dir %{_datadir}/%{name}/Image/places
%{_datadir}/%{name}/Image/places/*.png
%dir %{_datadir}/%{name}/Options
%{_datadir}/%{name}/Options/*.txt
%dir %{_datadir}/%{name}/Source
%{_datadir}/%{name}/Source/*.py
%{_datadir}/%{name}/Source/*.pyw
%{_datadir}/%{name}/Source/*.ui
%{_datadir}/icons/hicolor/*
%{_datadir}/applications/%{name}.desktop

%if %suse_version < 1120
%files -n kde3-Q7Z
%defattr(-, root, root)
%dir /opt/kde3
%dir /opt/kde3/share
%dir /opt/kde3/share/apps
%dir /opt/kde3/share/apps/konqueror
%dir /opt/kde3/share/apps/konqueror/servicemenus
/opt/kde3/share/apps/konqueror/servicemenus/Q7Z*.desktop
%endif

%files -n kde4-Q7Z
%defattr(-, root, root)
%dir /usr/share/kde4
%dir /usr/share/kde4/services
%dir /usr/share/kde4/services/ServiceMenus
%{_datadir}/kde4/services/ServiceMenus/*.desktop

%changelog
* Thu Apr 23 2009 toni@links2linux.de
- update to 0.8.0
- switched to noarch
- added kde3-Q7Z sub-package
- fixed Description and Group
* Thu Dec  4 2008 toni@links2linux.de
- update to 0.7.5
* Wed Jan 16 2008 toni@links2linux.de
- update to 0.7.1
- using fdupes for openSUSE-10.3
* Tue Jan  1 2008 toni@links2linux.de
- added python-qt4 to Requires
* Thu Dec 27 2007 toni@links2linux.de
- update to 0.7.0
* Sat Nov 24 2007 toni@links2linux.de
- initial release 0.6.3
